Skip to main content
GET
Get provider

Authorizations

X-Api-Key
string
header
required

Path Parameters

provider
string
required

The API provider.

Response

ProviderInfo

name
string
required
authType
enum<string>
required

The type of authentication required by the provider.

Available options:
oauth2,
apiKey,
basic,
jwt,
custom,
none
baseURL
string
required

The base URL for making API requests.

defaultModule
string
required
support
Support · object
required

The supported features for the provider.

providerOpts
Provider Options · object
required

Additional provider-specific metadata.

oauth2Opts
OAuth2 Options · object

Configuration for OAuth2.0. Must be provided if authType is oauth2.

apiKeyOpts
API Key Options · object

Configuration for API key. Must be provided if authType is apiKey.

basicOpts
Basic Auth Options · object

Configuration for Basic Auth. Optional.

customOpts
Custom Auth Options · object

Configuration for custom auth. Optional.

authHealthCheck
Auth Health Check · object

A URL to check the health of a provider's credentials. It's used to see if the credentials are valid and if the provider is reachable.

displayName
string

The display name of the provider, if omitted, defaults to provider name.

Example:

"Zendesk Chat"

postAuthInfoNeeded
boolean

If true, we require additional information after auth to start making requests.

Example:

true

media
Media · object
labels
Labels · object
subscribeOpts
Subscribe Options · object
modules
Modules that this provider supports · object

The registry of provider modules.

metadata
Provider Metadata · object

Provider metadata that needs to be given by the user or fetched by the connector post authentication for the connector to work.